Storyden
Collections

Collection Update

Update a collection owned by the authenticated account.

PATCH
/collections/{collection_mark}

Update a collection owned by the authenticated account.

Authorization

cookiestoryden-session<token>

Path Parameters

collection_mark*string

Either:

  • The unique collection ID.
  • A string of the form -
Formatxid-prefixed-kebab-case-string

Request Body

application/json
  1. body
name?CollectionName
slug?CollectionSlug

A polymorphic identifier which is either a raw ID, a slug or both values combined and separated by a hyphen. This allows endpoints to respond to varying forms of a resource's ID which may be present in different app contexts. For example, a slug may be used in a URL but raw IDs are often exposed as part of API responses or in certain endpoint parameters. This type allows flexibility in user experience as well as the API surface while ensuring performance during database queries and other operations.

For example, given a thread with the ID cc5lnd2s1s4652adtu50 and the slug top-10-movies-thread, Storyden will understand both the forms: cc5lnd2s1s4652adtu50-top-10-movies-thread or cc5lnd2s1s4652adtu50 or top-10-movies-thread as the identifier for that thread.

Marks are only ever used on the read path as they are a derivative data type and are not stored in the database as-is, while IDs and slugs are. The write path typically exposes slugs as writable and IDs as immutable.

Formatxid-prefixed-kebab-case-string
description?CollectionDescription

Response Body

Collection updated.

application/json
  1. response

A collection is a group of threads owned by a user. It allows users to curate their own lists of content from the site. Collections can only contain root level posts (threads) with titles and slugs to link to.

id*Identifier

A unique identifier for this resource.

Formatxid
createdAt*string

The time the resource was created.

Formatdate-time
updatedAt*string

The time the resource was updated.

Formatdate-time
deletedAt?string

The time the resource was soft-deleted.

Formatdate-time
misc?

Arbitrary extra data stored with the resource.

name*CollectionName
slug*CollectionSlug

A polymorphic identifier which is either a raw ID, a slug or both values combined and separated by a hyphen. This allows endpoints to respond to varying forms of a resource's ID which may be present in different app contexts. For example, a slug may be used in a URL but raw IDs are often exposed as part of API responses or in certain endpoint parameters. This type allows flexibility in user experience as well as the API surface while ensuring performance during database queries and other operations.

For example, given a thread with the ID cc5lnd2s1s4652adtu50 and the slug top-10-movies-thread, Storyden will understand both the forms: cc5lnd2s1s4652adtu50-top-10-movies-thread or cc5lnd2s1s4652adtu50 or top-10-movies-thread as the identifier for that thread.

Marks are only ever used on the read path as they are a derivative data type and are not stored in the database as-is, while IDs and slugs are. The write path typically exposes slugs as writable and IDs as immutable.

Formatxid-prefixed-kebab-case-string
description?CollectionDescription
owner*

A minimal reference to an account.

item_count*integer
has_queried_item*boolean
Example Request
curl -X PATCH 'https://example.com/api/collections/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "deletedAt": "2019-08-24T14:15:22Z",  "misc": {},  "name": "string",  "slug": "string",  "description": "string",  "owner": {    "id": "string",    "joined": "2019-08-24T14:15:22Z",    "suspended": "2019-08-24T14:15:22Z",    "handle": "string",    "name": "string",    "signature": "string",    "roles": [      {        "badge": true,        "default": true,        "id": "string",        "name": "string",        "colour": "string",        "meta": {}      }    ]  },  "item_count": 0,  "has_queried_item": true}